#!/bin/env python3

import parsimonious

grammar = parsimonious.Grammar("""
	phrase = groupn sep groupev reste
	groupn = pronom / (det sep nomcommun)
	groupev = verbe
	pronom = "elle" / "il"
	det = "le" / "la"
	nomcommun = "chat" / "souris"
	verbe = "miaule" / "mange"
	sep = " "
	reste = ~r".*"
""")

for l in open('phrases.txt'):
    l = l.strip()
    print(l)
    print(grammar.parse(l))
